MPD: Data Fields

MPD 0.20.18

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- sample_rate : AudioFormat
- SAMPLE_SIZE : SampleTraits< SampleFormat::DSD > , SampleTraits< SampleFormat::FLOAT > , SampleTraits< SampleFormat::S16 > , SampleTraits< SampleFormat::S24_P32 > , SampleTraits< SampleFormat::S32 > , SampleTraits< SampleFormat::S8 >
- Save() : SimpleDatabase
- Scan() : FlacMetadataChain
- scan_file : DecoderPlugin
- scan_stream : DecoderPlugin
- ScanFile() : DecoderPlugin
- ScanStream() : DecoderPlugin
- Schedule() : DeferredMonitor , IdleMonitor , SocketMonitor , TimeoutMonitor
- ScheduleRead() : SocketMonitor
- ScheduleWrite() : SocketMonitor
- schemes : playlist_plugin
- ScopeBulkEdit() : ScopeBulkEdit
- ScopeDatabaseLock() : ScopeDatabaseLock
- ScopeDatabaseUnlock() : ScopeDatabaseUnlock
- ScopeExitGuard() : ScopeExitGuard< F >
- ScopeUnlock() : ScopeUnlock
- search() : ContentDirectoryService
- Seek() : AsyncInputStream , DecoderControl , FileDescriptor , FileReader , FlacInput , InputStream , OggDecoder , ProxyInputStream
- seek_error : DecoderControl
- seek_time : DecoderControl , PlayerControl
- seekable : DecoderControl , InputStream
- SeekCurrent() : Partition , playlist
- SeekDone() : AsyncInputStream
- SeekError() : DecoderBridge , DecoderClient
- SeekGranulePos() : OggDecoder
- seeking : DecoderBridge
- SeekSongId() : Partition , playlist
- SeekSongOrder() : playlist
- SeekSongPosition() : Partition , playlist
- send_tag : AudioOutputPlugin
- SendHeader() : HttpdOutput
- SendResponse() : HttpdClient
- SendTag() : AudioOutputWrapper< T > , Encoder , HttpdOutput
- SENTINEL : AllocatedString< T > , BasicStringBuffer< T, CAPACITY > , StringPointer< T >
- separator : ExpatNamespaceSeparator
- SEPARATOR : PathTraitsFS , PathTraitsUTF8
- ServerSocket() : ServerSocket
- services : UPnPDevice
- serviceType : UPnPService
- Set() : FileDescriptor , FilterObserver , Java::GlobalRef< T > , Java::TrivialRef< T >
- SetAll() : RangeArg
- SetBlocking() : FileDescriptor
- SetBuffer() : ForeignFifoBuffer< T >
- SetCharacterDataHandler() : ExpatParser
- SetClosed() : AsyncInputStream
- SetCommand() : Response
- SetConsume() : Partition , playlist
- SetCrossFade() : PlayerControl
- SetDuration() : TagBuilder
- SetElementHandler() : ExpatParser
- SetEmpty() : StringView
- SetEnd() : MixRampInfo
- SetEndTime() : DetachedSong
- SetError() : PlayerControl
- SetExpired() : Client
- SetHasPlaylist() : TagBuilder
- SetLastModified() : DetachedSong
- SetMimeType() : InputStream , ThreadInputStream
- SetMixRamp() : DecoderControl
- SetMixRampDb() : PlayerControl
- SetMixRampDelay() : PlayerControl
- SetNonBlocking() : FileDescriptor
- SetNull() : AllocatedPath , ForeignFifoBuffer< T > , Path
- SetOption() : CurlEasy , CurlMulti , CurlRequest
- SetOutputError() : PlayerControl
- SetPermission() : Client
- SetPlayState() : SLES::Play
- SetPriority() : Queue
- SetPriorityId() : Partition , playlist
- SetPriorityRange() : Partition , playlist , Queue
- SetRandom() : Partition , playlist
- SetReady() : DecoderControl , InputStream
- SetRealURI() : DetachedSong
- SetRepeat() : Partition , playlist
- SetReplayGainMode() : AudioOutput , AudioOutputSource , MultipleOutputs , Partition
- SetSingle() : Partition , playlist
- SetSize() : AllocatedArray< T > , StaticSocketAddress
- SetSoftwareVolume() : MultipleOutputs
- SetSongIdRange() : playlist
- SetStart() : MixRampInfo
- SetStartTime() : DetachedSong
- SetTag() : AsyncInputStream , DetachedSong
- setTerminateAndWait() : WorkQueue< T >
- SetUndefined() : FileDescriptor
- Setup() : AudioOutput
- SetURI() : DetachedSong
- SetVolume() : Mixer , MultipleOutputs , PcmVolume
- shift() : ConstBuffer< T >
- Shift() : ForeignFifoBuffer< T > , MusicPipe , StaticFifoBuffer< T, size >
- shift() : WritableBuffer< T >
- shift8 : PcmExport::Params
- Shuffle() : Partition , playlist
- ShuffleOrder() : Queue
- ShuffleOrderFirst() : Queue
- ShuffleOrderLastWithPriority() : Queue
- ShuffleOrderRange() : Queue
- ShuffleOrderRangeWithPriority() : Queue
- ShuffleRange() : Queue
- Shutdown() : Instance
- siblings : Directory , Song
- SiblingsHook : Directory
- Signal() : DecoderControl , notify , PlayerControl
- signal() : PosixCond , WindowsCond
- SignalFD() : SignalFD
- SignedSongTime() : SignedSongTime
- SILENCE : SampleTraits< SampleFormat::DSD > , SampleTraits< SampleFormat::FLOAT > , SampleTraits< SampleFormat::S16 > , SampleTraits< SampleFormat::S24_P32 > , SampleTraits< SampleFormat::S32 > , SampleTraits< SampleFormat::S8 >
- single : Queue
- SingleFD : MultiSocketMonitor
- size() : AllocatedArray< T > , ConstBuffer< T > , ConstBuffer< void > , InputStream
- Size() : MultipleOutputs
- size : Page
- Size() : SocketSet
- size : StorageFileInfo , WritableBuffer< T > , WritableBuffer< void >
- size_type : AllocatedArray< T > , AllocatedSocketAddress , AllocatedString< T > , BasicStringBuffer< T, CAPACITY > , CircularBuffer< T > , ConstBuffer< T > , ConstBuffer< void > , DynamicFifoBuffer< T > , ForeignFifoBuffer< T > , SocketAddress , StaticFifoBuffer< T, size > , StaticSocketAddress , WritableBuffer< T > , WritableBuffer< void >
- Skip() : DecoderBuffer , FileDescriptor , FileReader , InputStream , OpusReader
- skip_front() : ConstBuffer< T > , WritableBuffer< T >
- SkipString() : OpusReader
- SL : FloatToIntegerSampleConvert< F, Traits >
- SliceBuffer() : SliceBuffer< T >
- smooth : CompressorConfig
- SocketAction() : CurlGlobal
- SocketAddress() : SocketAddress
- SocketErrorMessage() : SocketErrorMessage
- SocketMonitor() : SocketMonitor
- SocketSet() : SocketSet
- song : DecoderControl , Queue::Item
- Song() : Song
- song_count : DatabaseStats
- song_tag : DecoderBridge
- SongBorder() : MultipleOutputs
- SongFilter() : SongFilter
- SongLoader() : SongLoader
- songs : Directory
- SongStarted() : playlist
- SongTime() : SongTime
- Sort() : Directory
- sos_count : noise_shape_ctx_s
- source : AudioOutput
- SqliteError() : SqliteError
- src_format : NeonFloatTo16
- SrcTraits : FloatToIntegerSampleConvert< F, Traits > , IntegerToFloatSampleConvert< F, Traits > , LeftShiftSampleConvert< SF, DF, ST, DT > , NeonFloatTo16 , RightShiftSampleConvert< SF, DF, ST, DT >
- ssize_t : SocketMonitor
- StaleSong() : Partition , playlist
- Stamp : PeriodClock
- Start() : BlockingNfsOperation , CurlRequest , DecoderControl , IcyMetaDataParser
- start : RangeArg
- Start() : Thread , ThreadInputStream , Timer , UPnPDeviceDirectory
- start() : WorkQueue< T >
- start_time : DecoderControl , LightSong , Song
- StartElement() : CommonExpatParser
- StartsWith() : StringView
- StartThread() : AudioOutput
- Stat() : NfsConnection
- state : DecoderControl , player_status , PlayerControl
- state_file : Instance
- StateFile() : StateFile
- StaticFifoBuffer() : StaticFifoBuffer< T, size >
- StaticSocketAddress() : StaticSocketAddress
- StdioOutputStream() : StdioOutputStream
- Steal() : AllocatedPath , AllocatedString< T > , FileDescriptor , SocketMonitor
- StealInputStream() : TextInputStream
- Stop() : CurlRequest , DecoderControl , Partition , playlist
- stop_on_error : playlist
- StopThread() : AudioOutput
- Storage() : Storage
- storage : UpdateQueueItem
- StorageDirectoryReader() : StorageDirectoryReader
- stream : OggEncoder
- stream_decode : DecoderPlugin
- stream_tag : DecoderBridge
- StreamDecode() : DecoderPlugin
- String() : Java::String
- string : PathTraitsFS , PathTraitsUTF8
- StringPointer() : StringPointer< T >
- StringView() : StringView
- Strip() : StringView
- StripLeft() : StringView
- StripRight() : StringView
- SubmitData() : DecoderBridge , DecoderClient
- SubmitMixRamp() : DecoderBridge , DecoderClient
- SubmitReplayGain() : DecoderBridge , DecoderClient
- SubmitTag() : DecoderBridge , DecoderClient
- SubmitTimestamp() : DecoderBridge , DecoderClient
- Subscribe() : Client
- SubscribeResult : Client
- subscriptions : Client
- suffixes : ArchivePlugin , DecoderPlugin , playlist_plugin
- sum_type : SampleTraits< SampleFormat::FLOAT > , SampleTraits< SampleFormat::S16 > , SampleTraits< SampleFormat::S24_P32 > , SampleTraits< SampleFormat::S32 > , SampleTraits< SampleFormat::S8 >
- SupportsMimeType() : DecoderPlugin
- SupportsSuffix() : DecoderPlugin
- SV : FloatToIntegerSampleConvert< F, Traits > , IntegerToFloatSampleConvert< F, Traits > , LeftShiftSampleConvert< SF, DF, ST, DT > , NeonFloatTo16 , RightShiftSampleConvert< SF, DF, ST, DT >
- Swap() : ForeignFifoBuffer< T >
- SwapIds() : Partition , playlist
- SwapOrders() : Queue
- SwapPositions() : Partition , playlist , Queue
- SYNC_WITH_PLAYER : Partition
- SyncWithPlayer() : Partition , playlist